<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
///////////////////////////////////////////////////////
 
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$marca = isset($_POST['marca']) ? $_POST['marca'] : NULL;
$beneficio = isset($_POST['beneficio']) ? $_POST['beneficio'] : NULL;
$url = isset($_POST['url']) ? $_POST['url'] : NULL;
$descripcion = isset($_POST['descripcion']) ? $_POST['descripcion'] : NULL;

$valor = isset($_POST['valor']) ? $_POST['valor'] : NULL;
if(isset($valor)){
	$valores = serialize($valor);
}else{
	$valores = "";
}



$nombre = funcion::LimpiaComillaSimple($nombre);
$descripcion = funcion::LimpiaComillaSimple($descripcion);

// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'nombre'			=> $db->string($nombre),
			'marca'				=> $db->string($marca),
			'url'				=> $db->string($url),
			'beneficio'			=> $db->string($beneficio),
			'descripcion'		=> $db->string($descripcion,html),
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert(TABLA,$datos);
		$id = $db->UltimoId(TABLA);

		if (!empty($id)) {
			$mensaje_respuesta = 'Datos agregados.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO.'/agregar';
		}

		$datos_orden = array(
			'orden'		=> @$id+0,
		);		
		$db->update(TABLA,$datos_orden,"id='$id'");

		include_once 'class.upload.php';
if(isset($_FILES['icono'])){
	$imagenback = new upload($_FILES['icono']);
	
	
	// Comprobamos si se subió la imagen
	  if ($imagenback->uploaded) {
		 
	// ===================================================================================
	// CREAMOS LA IMAGEN ORIGINAL
		  
				$imagenback->image_convert			= 'jpg';
				$imagenback->jpeg_quality				= 92;
				$imagenback->allowed					= array('image/*');
				$imagenback->file_new_name_body		= 'iconoe-'.$id.date("U");
				$imagenback->image_resize				= true;
				$imagenback->image_ratio_crop			= true;
				$imagenback->image_background_color	= '#FFFFFF';
				$imagenback->image_x				    = 260; /* Ancho */
				$imagenback->image_y					= 100; /* Alto */
				//$imagenback->image_x					= 1920; /* Ancho */
				//$imagenback->image_y					= 845; /* Alto */
		  
		  $imagenback->process('../../../../imagenes/'.FOLDER.'/');
		  if ($imagenback->processed) {
			  
			// Subimos a la base de datos
			$datos = array(
				'icono'	=> $db->string($imagenback->file_dst_name),
			);		
			$db->update(TABLA,$datos,"id='$id'");	
			
			} else {
				$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagenback->error;
			}
	// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
	// ===================================================================================		
	
	}
}	

echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>